> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 分轨与添加音轨

> stems/stemsAll 分轨,addStem/addVocals/addInstrumental 添加音轨

> [!NOTE]
>
> **国内用户请注意：** 中国大陆用户请使用 `https://toapis.cn` 作为接口地址（Base URL）。

```
POST https://toapis.com/v1/music/generations/{operation}
```

**model** `string` *required*

固定 `"suno"`

**task\_id** `string` *required*

源任务 ID

**audio\_index** `number`

源曲目序号

## 分轨

| operation | 说明 | 价格 |
| - | - | - |
| `stems` | 人声 / 伴奏两条分轨 | \$0.10 |
| `stemsAll` | 全乐器分轨（每条乐器一轨） | \$0.24 |

返回 `result.music[]` 中每轨一个 `audio_url`，已镜像本站 CDN。

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/music/generations/stemsAll \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{"model":"suno","task_id":"tsk_aud_xxx"}'
```

## 添加音轨（各 $0.05,Max $0.10)

> [!WARNING]
>
> `addVocals`/`addInstrumental`/`addStem` 的 `task_id` 必须是 `uploadTask` 产物。

| operation | 说明 |
| - | - |
| `addVocals` | 为上传素材生成人声 |
| `addInstrumental` | 为上传素材生成伴奏 |
| `addStem` | 新增一条乐器轨 |

**gpt\_description** `string`

目标描述（custom=false 时必填）

**custom** `boolean`

**prompt** `string`

custom=true 时的歌词

**max\_mode** `boolean`

Max 档

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/music/generations/addVocals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{"model":"suno","task_id":"tsk_aud_upload_task","gpt_description":"add dreamy female vocals"}'
```

## Response

**task\_id** `string`

新任务 ID

**status** `string`

`submitted`


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.